#
# spec file for package tree-sitter-rust
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name rust
Summary:        Rust grammar for tree-sitter
Name:           tree-sitter-%{_name}
Version:        0.21.2
Release:        1.1
License:        MIT
Group:          Development/Tools/Other
URL:            https://github.com/tree-sitter/tree-sitter-rust
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup -p1

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install

%files
%{treesitter_files}

%changelog
* Mon Apr 29 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Remove 0001-fix-escape-braces-in-regex.patch cherry-picked from
  master it is now included in the current update.
- Update to version 0.21.2:
  * fix: add optional where clauses in associated types
  * fix: rename highlights query constant
* Mon Feb 26 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.20.4:
  * docs: update README
  * chore: update manifests
  * ci: update ci and publish, add fuzz annd lint actions
  * feat: eslint formatting & code docs, update deps
  * chore: move corpus to test
  * chore: generate
  * refactor: better handling of token tree characters
  * fix: shebang lexical precedence
